#!/bin/sh /etc/rc.common
# Copyright (C) 2006-2011 OpenWrt.org
-SERVICE_USE_PID=1
-
START=50
+STOP=50
+
+USE_PROCD=1
+PROG=/usr/sbin/lighttpd
-start() {
+validate_conf() {
+ $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null 2>&1 || {
+ echo "validation failed"
+ return 1
+ }
+}
+
+start_service() {
user_exists http || user_add http
[ -d /var/log/lighttpd ] || {
mkdir -m 0775 -p /var/log/lighttpd
chgrp www-data /var/log/lighttpd
}
- service_start /usr/sbin/lighttpd -f /etc/lighttpd/lighttpd.conf
-}
-stop() {
- service_stop /usr/sbin/lighttpd
-}
+ validate_conf || exit 1
-restart() {
- /usr/sbin/lighttpd -tt -f /etc/lighttpd/lighttpd.conf || exit 1
- stop
- start
+ procd_open_instance
+ procd_set_param command $PROG -D -f /etc/lighttpd/lighttpd.conf
+ procd_close_instance
}